vRack Services
All operations require authentication.
List vRack Services. Returns the vRack Services attached to the vRack.Production
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ vrackServices \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a vRack Services. Returns the attached vRack Services and its vRack.Production
Path parameters
The internal name of your vrack
vrackServices service name
Response
vrack name
vrackServices service name
Example uses serviceName = string, vrackServices = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ vrackServices/ {vrackServices} \
-H "authorization: Bearer $OVH_TOKEN"{ "vrack": "string", "vrackServices": "string"}
Attach a vRack ServicesProduction
Attach a vRack Services. Attaches a vRack Services to the vRack. Its subnets and Service Endpoints are then configured with the vRack Services API. Returns the task that performs it.
Path parameters
The internal name of your vrack
Request body (required)
vrackServices service name
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ vrackServices \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach a vRack ServicesProduction
Detach a vRack Services. Detaches the vRack Services from the vRack. Returns the task that performs it.
Path parameters
The internal name of your vrack
vrackServices service name
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string, vrackServices = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ vrackServices/ {vrackServices} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}